using System.Xml.Serialization;
using NewRock.Sdk.Control.Request.Base;
using NewRock.Sdk.Events.Base;

namespace NewRock.Sdk.Events
{
    [XmlRoot("Event")]
    public class TransientEvent:NewRockEvent
    {
        [XmlElement("outer")]
        public BaseOuter? Outer { get; set; }

        [XmlElement("ext")]
        public Ext? Ext { get; set; }

        [XmlElement("visitor")]
        public BaseVisitor? Visitor { get; set; }

        [XmlElement("MENU")]
        public BaseMenu? Menu { get; set; }
    }
}
